package com.zxdmy.excite.system.service.cloud.space;

import com.zxdmy.excite.system.entity.SysUser;
import com.zxdmy.excite.system.entity.cloud.space.CloudFileRole;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zxdmy.excite.system.entity.req.space.ReqCloudFileRole;
import com.zxdmy.excite.system.entity.vo.space.CloudFileRoleVo;
import com.zxdmy.excite.system.entity.vo.space.CloudRoleFileVo;

import java.util.List;

/**
 * <p>
 * 文件用户权限表 服务类
 * </p>
 *
 * @author 沈松
 * @since 2026-01-30
 */
public interface ICloudFileRoleService extends IService<CloudFileRole> {

    List<CloudFileRoleVo> getFileRole(String id);
    List<CloudRoleFileVo> getRoleFile(String id);
    List<CloudRoleFileVo> getRoleFileCheck(String id);

    CloudFileRole getData(ReqCloudFileRole data);
    List<CloudFileRole> getFileRoleByUseId(Integer id);
}
